//=======================================================
// 実行結果を扱うクラス
//=======================================================
#include "framework.h"
#include "CRes.h"

CRes::CRes()
{
	result = true;
	msg = CString("");
}

CRes::~CRes()
{
	// Nothing to do.
}

//===========
// メソッド
//===========
bool CRes::GetResult()
{
	return this->result;
}

CString CRes::GetMsg()
{
	return this->msg;
}

void CRes::SetResult(bool res)
{
	this->result = res;
}

void CRes::SetMsg(const char* msg)
{
	this->msg = CString(msg);
}

CRes CRes::CreateOk()
{
	CRes res;
	res.result = true;
	res.msg = CString("");
	return res;
}

CRes CRes::CreateError(const char* msg)
{
	CRes res;
	res.result = false;
	res.msg = CString(msg);
	return res;
}
